db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Knut Anders Hatlen (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (DERBY-2210) Change the base J2ME level to CDC/Foundation 1.1
Date Sat, 01 Jun 2013 11:19:20 GMT

     [ https://issues.apache.org/jira/browse/DERBY-2210?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Knut Anders Hatlen closed DERBY-2210.
-------------------------------------

    Resolution: Won't Fix

Java ME support has been removed on trunk, and I don't expect anyone is going to change the
JSR-169 driver's BigDecimal handling on the older branches, so I'm closing this issue as won't
fix.
                
> Change the base J2ME level to CDC/Foundation 1.1
> ------------------------------------------------
>
>                 Key: DERBY-2210
>                 URL: https://issues.apache.org/jira/browse/DERBY-2210
>             Project: Derby
>          Issue Type: Sub-task
>          Components: Build tools, Services
>            Reporter: Daniel John Debrunner
>
> Foundation 1.1 maps to a subset of JDK 1.4 so might be a better base for J2ME once JDK
1.3 support is removed, since Foundation 1.0 is based upon JDK 1.3. Foundation 1.1 is backward
compatible with 1.0, so JSR169 is supported.
> Foundation 1.0 (JSR219) went final 19 Aug, 2005.
> http://jcp.org/en/jsr/detail?id=219
> Would allow use throughout the codeline initCause() for Throwable.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message